package seminar7;

public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Employee[] emps = new Employee[]{
            new Employee("Adam", new StandardSalaryStrategy(), new BankTransferPayoutStrategy()),
            new Employee("Jirka", new PTSalaryStrategy(80), new BankTransferPayoutStrategy()),
            new Employee("Jirka", new PTSalaryStrategy(240), new BankTransferPayoutStrategy()),
            new Employee("Mirek Dusin", new VolunteerSalaryStrategy(), new CashPayoutStrategy())
        };
        for(Employee e: emps) {
            System.out.println(e);
        }
    }
}
