package seminar7;

public class PTSalaryStrategy implements SalaryStrategy {
    final private double hours;

    public PTSalaryStrategy(double hours) {
        this.hours = hours;
    }
    
    @Override
    public double salary() {
        return 150.0 * hours;
    }

    @Override
    public String typeString() {
        return "PART TIME";
    }
    
}
